# Taxes

Solidgate’s <a href="https://docs.solidgate.com/billing/taxes/" target="_blank">tax solution</a> empowers businesses to manage and automate tax calculations across multiple regions efficiently. By integrating the tax solution, merchants can support accurate tax handling and compliance with local regulations.

## Transactional tax

 - [POST /transactional](https://api-docs.solidgate.com/api/taxes/tax-transactional.md): The transactional tax report aggregates every tax-relevant transaction into one file, combining order and product identifiers, channel and legal entity, processing amounts and currency, full tax breakdown, include type, rate, taxable and tax amounts, location, and BIN/IP geography for delivering a concise, high-level view of liabilities across entities and jurisdictions.

In a successful response, you receive a link to the file report_url.


  The tax data are in a CSV file, which can be found at the link.

## Download transactional tax

 - [GET /transactional/report/{report_id}/download](https://api-docs.solidgate.com/api/taxes/download-tax-transactional.md): Retrieves a ready-generated transactional tax report CSV. 


  Send the request and, if the file exists, you get a short-lived pre-signed S3 URL that immediately starts the download.

## Summary tax

 - [POST /summary](https://api-docs.solidgate.com/api/taxes/tax-summary.md): The summary tax report aggregates your tax data into a single file, grouping figures by every unique combination of legal entity, tax location, and processing currency configured in your Solidgate account. It includes key metrics such as taxable turnover, calculated tax amount, and net revenue for each group, giving you a clear, high-level view of your liabilities across jurisdictions.

In a successful response, you receive a link to the file report_url.


  The tax data are in a CSV file, which can be found at the link.

## Download summary tax

 - [GET /summary/report/{report_id}/download](https://api-docs.solidgate.com/api/taxes/download-tax-summary.md): Retrieves a ready-generated summary tax report CSV. 


  Send the request and, if the file exists, you get a short-lived pre-signed S3 URL that immediately starts the download.

## Calculated tax

 - [POST CalculatedTax](https://api-docs.solidgate.com/api/taxes/webhook-calculated-tax.md): Webhooks provide merchants with instant notifications when the Solidgate tax solution calculates the tax amount of the transaction. These notifications allow merchants to notify users about paid taxes or to save tax information in real-time on the merchant’s side.

It delivers key tax details, such as calculated amounts and tax type breakdowns, ensuring accurate and automated tax application for transactions.


  Duplicate webhook events can occur. Implement idempotency on your end to avoid processing the same event twice.

